> ## Documentation Index
> Fetch the complete documentation index at: https://developers.quotivity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bundle Details

> Retrieves detailed pricing information for one or more bundles, including all options and products with their prices.



## OpenAPI

````yaml swagger.json get /bundles-details
openapi: 3.0.0
info:
  title: Quotivity API
  description: Developer APIs for the Quotivity CPQ platform.
  version: 1.0.0
servers:
  - url: https://api.secure.quotivity.com/v1
    description: Production API Server
security: []
paths:
  /bundles-details:
    get:
      tags:
        - Bundles
      summary: Get Bundle Details
      description: >-
        Retrieves detailed pricing information for one or more bundles,
        including all options and products with their prices.
      parameters:
        - name: bundleIds
          in: query
          required: true
          schema:
            type: string
          description: Comma-separated list of bundle IDs
        - name: properties
          in: query
          required: false
          schema:
            type: string
          description: Comma-separated list of HubSpot product properties to include
      responses:
        '200':
          description: Successfully retrieved bundle details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetBundleDetailsResponse'
        '401':
          description: Unauthorized
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetBundleDetailsResponse:
      type: object
      properties:
        bundles:
          type: array
          items:
            $ref: '#/components/schemas/BundleDetails'
      required:
        - bundles
    BundleDetails:
      type: object
      properties:
        id:
          type: string
        isActive:
          type: boolean
        header:
          $ref: '#/components/schemas/BundleProduct'
        included:
          type: array
          items:
            $ref: '#/components/schemas/BundleDetailOption'
        addOns:
          type: array
          items:
            $ref: '#/components/schemas/BundleDetailOption'
      required:
        - id
        - isActive
        - included
        - addOns
    BundleProduct:
      type: object
      properties:
        productId:
          type: string
        properties:
          type: object
          additionalProperties:
            type: string
            nullable: true
      required:
        - productId
        - properties
    BundleDetailOption:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        displayOrder:
          type: number
        configuration:
          $ref: '#/components/schemas/BundleOptionConfiguration'
        products:
          type: array
          items:
            $ref: '#/components/schemas/BundleDetailOptionProduct'
      required:
        - id
        - name
        - displayOrder
        - configuration
        - products
    BundleOptionConfiguration:
      type: object
      properties:
        minCount:
          type: number
          nullable: true
        maxCount:
          type: number
          nullable: true
        defaultOptionProductId:
          type: string
          nullable: true
    BundleDetailOptionProduct:
      type: object
      properties:
        id:
          type: string
        productId:
          type: string
        properties:
          type: object
          additionalProperties:
            type: string
            nullable: true
        configuration:
          $ref: '#/components/schemas/BundleProductConfiguration'
        displayOrder:
          type: number
        adjustments:
          type: object
          additionalProperties:
            oneOf:
              - $ref: '#/components/schemas/PriceBookEntryAdjustment'
            nullable: true
        standardPrice:
          type: object
          additionalProperties:
            type: number
            nullable: true
        listPrice:
          type: object
          additionalProperties:
            type: number
            nullable: true
      required:
        - id
        - productId
        - properties
        - displayOrder
        - adjustments
        - standardPrice
        - listPrice
    BundleProductConfiguration:
      type: object
      properties:
        minQuantity:
          type: number
        maxQuantity:
          type: number
        readonlyQuantity:
          type: boolean
    PriceBookEntryAdjustment:
      oneOf:
        - $ref: '#/components/schemas/OverrideAdjustment'
        - $ref: '#/components/schemas/PercentAdjustment'
        - $ref: '#/components/schemas/VolumeAdjustment'
        - $ref: '#/components/schemas/TableEnumAdjustment'
        - $ref: '#/components/schemas/TableRangeAdjustment'
        - $ref: '#/components/schemas/VariantAdjustment'
    OverrideAdjustment:
      allOf:
        - $ref: '#/components/schemas/PriceAdjustmentBase'
        - type: object
          properties:
            type:
              type: string
              enum:
                - override
            amount:
              type: number
            allowUnitPriceEditing:
              type: boolean
              description: When true, allows sales reps to edit unit price in Quote Builder
          required:
            - amount
    PercentAdjustment:
      allOf:
        - $ref: '#/components/schemas/PriceAdjustmentBase'
        - type: object
          properties:
            type:
              type: string
              enum:
                - percent
            amount:
              type: number
            allowUnitPriceEditing:
              type: boolean
              description: When true, allows sales reps to edit unit price in Quote Builder
          required:
            - amount
    VolumeAdjustment:
      allOf:
        - $ref: '#/components/schemas/PriceAdjustmentBase'
        - type: object
          properties:
            type:
              type: string
              enum:
                - volume
            tiers:
              type: array
              items:
                type: object
                properties:
                  firstUnit:
                    type: number
                  lastUnit:
                    type: number
                    nullable: true
                  unitPrice:
                    type: number
                required:
                  - firstUnit
                  - unitPrice
            allowUnitPriceEditing:
              type: boolean
              description: When true, allows sales reps to edit unit price in Quote Builder
          required:
            - tiers
    TableEnumAdjustment:
      allOf:
        - $ref: '#/components/schemas/PriceAdjustmentBase'
        - type: object
          properties:
            type:
              type: string
              enum:
                - enum
            property:
              type: string
            values:
              type: array
              items:
                type: object
                properties:
                  value:
                    type: string
                  unitPrice:
                    type: number
                required:
                  - value
                  - unitPrice
            allowUnitPriceEditing:
              type: boolean
              description: When true, allows sales reps to edit unit price in Quote Builder
          required:
            - property
            - values
    TableRangeAdjustment:
      allOf:
        - $ref: '#/components/schemas/PriceAdjustmentBase'
        - type: object
          properties:
            type:
              type: string
              enum:
                - range
            property:
              type: string
            values:
              type: array
              items:
                type: object
                properties:
                  firstUnit:
                    type: number
                  lastUnit:
                    type: number
                  unitPrice:
                    type: number
                required:
                  - firstUnit
                  - lastUnit
                  - unitPrice
            allowUnitPriceEditing:
              type: boolean
              description: When true, allows sales reps to edit unit price in Quote Builder
          required:
            - property
            - values
    VariantAdjustment:
      allOf:
        - $ref: '#/components/schemas/PriceAdjustmentBase'
        - type: object
          properties:
            type:
              type: string
              enum:
                - variant
            values:
              type: array
              items:
                type: object
                properties:
                  value:
                    type: string
                  unitPrice:
                    type: number
                required:
                  - value
                  - unitPrice
            allowUnitPriceEditing:
              type: boolean
              description: When true, allows sales reps to edit unit price in Quote Builder
          required:
            - values
    PriceAdjustmentBase:
      type: object
      properties:
        type:
          type: string
          nullable: true
      required:
        - type
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````